Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

cannot install Opensesame on Mac Catalina

Dear Sebastiaan,

I recently updated my mac to Catalina. I found that OpenSesame could not be installed on this system. Could you please tell me how to work on that or will you provide a new version of OpenSesame? Thank you very much! OpenSesame really helps me a lot!

Best,

Li

Comments

  • That looks similar to the "unknown developer" warning that OSX does. What happens if you go to the downloaded file in Finder and open it via CTRL+click (instead of double-click)?

    If it still doesn't open, you might have to change your security settings first (System Preferences -> Security & Privacy -> General).

    Thanked by 1shahaoxiaomi
  • Thank you cesco! The source is "anywhere" in my setting. I think the reason might be that the newest version of OpenSesame does not compatible with the Catalina.

  • Hi Shahao,

    It's difficult for me to look into this, because my MacBook is too old to upgrade to Catalina, so I can't get any first-hand experience with the error. Googling the error message (in particular the integrity part) did not deliver a lot of hits yet, but I expect more to pour in as more people install Catalina.

    I did find that installs of Google Chrome also experience this problem: https://support.google.com/chrome/thread/9409226?hl=en. So whenever a solution pops up there, you could try doing the same for OpenSesame.

    It may also be worth reading https://support.apple.com/en-ug/HT205252, especially the part on System integrity.

    I hope this helps.

    Thanked by 1shahaoxiaomi
  • I tried to install it again today. And under the Security & Privacy, the "Open anyway" showed up. It is good to use now.

Sign In or Register to comment.